/*******************************************************************************
 TESINA n°5 per esame di: ELABORAZIONI dei SEGNALI ed INFORMAZIONI di MISURA:

 NOMEFILE: Unit2.h

 NOTE: Header file relativo al file Unit2.cpp (Generatore di segnale).
*******************************************************************************/


#ifndef Unit2H
#define Unit2H

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>

//---------------------------------------------------------------------------

class TForm2 : public TForm
{
__published:	// IDE-managed Components
        TEdit *Edit_Amp;
        TLabel *Label1;
        TEdit *Edit_Fre;
        TLabel *Label3;
        TEdit *Edit_Off;
        TLabel *Label4;
        TLabel *Label2;
        TLabel *Label5;
        TLabel *Label6;
        TButton *Button10;
        TButton *Button11;
        TRadioGroup *SceltaOnda;
        TRadioGroup *SceltaMod;
        TLabel *Label7;
        void __fastcall Button5Click(TObject *Sender);
        void __fastcall Button6Click(TObject *Sender);
        void __fastcall Button7Click(TObject *Sender);
        void __fastcall Button8Click(TObject *Sender);
        void __fastcall Button9Click(TObject *Sender);
        void __fastcall Button10Click(TObject *Sender);
        void __fastcall Button11Click(TObject *Sender);
        void __fastcall SceltaOndaClick(TObject *Sender);
        void __fastcall SceltaModClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm2(TComponent* Owner);
};

//---------------------------------------------------------------------------
extern PACKAGE TForm2 *Form2;
//---------------------------------------------------------------------------
#endif
